#include <iostream>
#include <sys/types.h>
#include <sys/wait.h>
#include <unistd.h>
#include <stdlib.h>
#include <sched.h>
#include <main.h>

using namespace std;

int main(void)
{
  int pid;
  timespec time;
  
  // Gets the round robin scheduler time slice interval
  // You can read about this by typing "man 2 sched_rr_get_interval"
  int result = sched_rr_get_interval(0,&time);
  
  cout << "Gets the round robin scheduler time slice interval." << endl;
  cout << "This is the MAX amount of time a process can run on the CPU " << endl;
  cout << "without being interrupted by the scheduler." << endl;
  cout << "Result was: " << result << endl;
  cout << "Time (seconds): " << time.tv_sec << endl;
  cout << "Time (nanoseconds): " << time.tv_nsec << endl;

  return 1;
}
